For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Resources
Get started
ReferenceGuidesChangelog
ReferenceGuidesChangelog
  • Token
    • GETGet Authorization User Info
    • GETGet Authorization Info
    • POSTResolve ID Token
  • Sites
    • GETList Sites
    • GETGet Site
    • GETGet Custom Domains
    • POSTPublish Site
  • Pages and Components
  • CMS
  • Forms
  • Custom Code
  • Assets
  • Comments
    • GETSearch Users by Email
    • GETList Comment Threads
    • GETGet Comment Thread
    • GETList Comment Replies
    • POSTCreate Comment Reply
  • Ecommerce
      • GETList Products & SKUs
      • POSTCreate Product & SKU
      • GETGet Product and SKUs
      • PATCHUpdate Product
      • POSTCreate SKUs
      • PATCHUpdate SKU
  • Webhooks
  • Site Configuration
  • Enterprise
  • App Subscriptions
    • GETGet app subscriptions
LogoLogo
Resources
Get started
EcommerceProducts & SKUs

Update SKU

PATCH
https://api.webflow.com/beta/sites/:site_id/products/:product_id/skus/:sku_id
PATCH
/beta/sites/:site_id/products/:product_id/skus/:sku_id
$curl -X PATCH https://api.webflow.com/beta/sites/580e63e98c9a982ac9b8b741/products/580e63fc8c9a982ac9b8b745/skus/5e8518516e147040726cc415 \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "sku": {
> "fieldData": {
> "name": "Colorful T-shirt - Default",
> "slug": "colorful-t-shirt-default",
> "price": {
> "value": 2499,
> "unit": "USD",
> "currency": "USD"
> }
> },
> "sku-values": {
> "color": "red",
> "size": "small"
> },
> "main-image": "https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"
> }
>}'
1{
2 "id": "66072fb71b89448912e2681c",
3 "lastPublished": "2023-03-17T18:47:35.560Z",
4 "lastUpdated": "2023-03-17T18:47:35.560Z",
5 "createdOn": "2023-03-17T18:47:35.560Z",
6 "fieldData": {
7 "name": "Colorful T-shirt - Default",
8 "slug": "colorful-t-shirt-default",
9 "price": {
10 "value": 2499,
11 "unit": "USD",
12 "currency": "USD"
13 }
14 },
15 "cmsLocaleId": "653ad57de882f528b32e810e",
16 "sku-values": {
17 "color": "red",
18 "size": "small"
19 },
20 "main-image": "https://rocketamp-sample-store.myshopify.com/cdn/shop/products/Gildan_2000_Antique_Cherry_Red_Front_1024x1024.jpg?v=1527232987"
21}

Update a specified SKU.

Updating an existing SKU will set the Product type to Advanced, which ensures all Product and SKU fields will be shown to users in the Designer.

Required scope | ecommerce:write

Was this page helpful?
Previous

List Orders

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

site_idstringRequiredformat: "objectid"
Unique identifier for a Site
product_idstringRequiredformat: "objectid"
Unique identifier for a Product
sku_idstringRequiredformat: "objectid"
Unique identifier for a SKU

Request

The SKU to update
skuobjectRequired
The SKU object
publishStatusenumOptionalDefaults to staging
Indicate whether your Product should be set as "staging" or "live"
Allowed values:

Response

Request was successful
idstringRead-onlyformat: "objectid"
Unique identifier for the Product
lastPublishedstringRead-onlyformat: "date-time"
The date the Product was last published
lastUpdatedstringRead-onlyformat: "date-time"
The date the Product was last updated
createdOnstringRead-onlyformat: "date-time"
The date the Product was created
fieldDataobject
Standard and Custom fields for a SKU
cmsLocaleIdstringRead-only
Identifier for the locale of the CMS item

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error